#include <stdio.h>
#define PRINT quine, 10, 10, 92, 10, 34, quine, 34, 92, 10, 92, 10, 92, 10, 10, 10, 10, 10
#define FT(...) int main(){\
	char *quine = "#include <stdio.h>%c#define PRINT "#__VA_ARGS__" %c#define FT(...) int main(){%c%c	char *quine = %c%s%c;%c%c	printf(PRINT);%c%c	return 0;%c%c}%c#define FFT(...) FT(__VA_ARGS__)%c%cFFT(PRINT)%c";\
	printf(PRINT);\
	return 0;\
}
#define FFT(...) FT(__VA_ARGS__)

FFT(PRINT)
